## org.eclipse.emf.codegen.ecore.genmodel
Interface GenAnnotation

All Superinterfaces:
  EObject, GenBase, Notifier

All Known Implementing Classes:
  GenAnnotationImpl

    public interface GenAnnotation

extends GenBase

A representation of the model object 'Gen Annotation'.

The following features are supported:

- `Source`
- `Details`
- `Gen Base`
- `References`
- `Contents`

See Also:
  `GenModelPackage.getGenAnnotation()`

Method Summary
`EList<EObject>` `getContents()` Returns the value of the 'Contents' containment reference list.
`EMap<java.lang.String,java.lang.String>` `getDetails()` Returns the value of the 'Details' map.
`GenBase` `getGenBase()` Returns the value of the 'Gen Base' container reference.
`EList<EObject>` `getReferences()` Returns the value of the 'References' reference list.
`java.lang.String` `getSource()` Returns the value of the 'Source' attribute
`void` `setGenBase(GenBase value)` Sets the value of the '`Gen Base`' container reference
`void` `setSource(java.lang.String value)` Sets the value of the '`Source`' attribute

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSource

    java.lang.String getSource()

  Returns the value of the 'Source' attribute.

  If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' attribute.
  See Also:
    `setSource(String)`, `GenModelPackage.getGenAnnotation_Source()`

### setSource

    void setSource(java.lang.String value)

  Sets the value of the '`Source`' attribute.

  Parameters:
    `value` - the new value of the 'Source' attribute.
  See Also:
    `getSource()`

### getDetails

    EMap<java.lang.String,java.lang.String> getDetails()

  Returns the value of the 'Details' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'Details' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Details' map.
  See Also:
    `GenModelPackage.getGenAnnotation_Details()`

### getGenBase

    GenBase getGenBase()

  Returns the value of the 'Gen Base' container reference. It is bidirectional and its opposite is '`Gen Annotations`'.

  If the meaning of the 'Gen Base' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Base' container reference.
  See Also:
    `setGenBase(GenBase)`, `GenModelPackage.getGenAnnotation_GenBase()`, `GenBase.getGenAnnotations()`

### setGenBase

    void setGenBase(GenBase value)

  Sets the value of the '`Gen Base`' container reference.

  Parameters:
    `value` - the new value of the 'Gen Base' container reference.
  See Also:
    `getGenBase()`

### getReferences

    EList<EObject> getReferences()

  Returns the value of the 'References' reference list. The list contents are of type `EObject`.

  If the meaning of the 'References' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'References' reference list.
  See Also:
    `GenModelPackage.getGenAnnotation_References()`

### getContents

    EList<EObject> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.

  If the meaning of the 'Contents' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `GenModelPackage.getGenAnnotation_Contents()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.